// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Etl的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Etl_PlantNr = grmi.NewField("PlantNr", "Etl.PlantNr", "plantnr", grmi.TypeInt)
var Etl_EtlId = grmi.NewField("EtlId", "Etl.EtlId", "etlid", grmi.TypeInt)
var Etl_FromDb = grmi.NewField("FromDb", "Etl.FromDb", "fromdb", grmi.TypeString)
var Etl_FromTable = grmi.NewField("FromTable", "Etl.FromTable", "fromtable", grmi.TypeString)
var Etl_ToDb = grmi.NewField("ToDb", "Etl.ToDb", "todb", grmi.TypeString)
var Etl_ToTable = grmi.NewField("ToTable", "Etl.ToTable", "totable", grmi.TypeString)
var Etl_SqlShow = grmi.NewField("SqlShow", "Etl.SqlShow", "sqlshow", grmi.TypeString)
var Etl_Status = grmi.NewField("Status", "Etl.Status", "status", grmi.TypeString)
var Etl_SearchType = grmi.NewField("SearchType", "Etl.SearchType", "searchtype", grmi.TypeInt)
var Etl_SearchTime = grmi.NewField("SearchTime", "Etl.SearchTime", "searchtime", grmi.TypeString)
var Etl_SearchFiled = grmi.NewField("SearchFiled", "Etl.SearchFiled", "searchfiled", grmi.TypeString)
var Etl_ToDriverName = grmi.NewField("ToDriverName", "Etl.ToDriverName", "todrivername", grmi.TypeString)
var Etl_ToType = grmi.NewField("ToType", "Etl.ToType", "totype", grmi.TypeString)
var Etl_ChooseType = grmi.NewField("ChooseType", "Etl.ChooseType", "choosetype", grmi.TypeString)
var Etl_LastModify = grmi.NewField("LastModify", "Etl.LastModify", "lastmodify", grmi.TypeDateTime)
var Etl_LastUser = grmi.NewField("LastUser", "Etl.LastUser", "lastuser", grmi.TypeString)
var Etl_CreateTime = grmi.NewField("CreateTime", "Etl.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Etl的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var Etl = grmi.NewEntity(
	"Etl",
	func() interface{} { return &model.Etl{} },
	map[string]grmi.Field{
		Etl_PlantNr.Name:      Etl_PlantNr,
		Etl_EtlId.Name:        Etl_EtlId,
		Etl_FromDb.Name:       Etl_FromDb,
		Etl_FromTable.Name:    Etl_FromTable,
		Etl_ToDb.Name:         Etl_ToDb,
		Etl_ToTable.Name:      Etl_ToTable,
		Etl_SqlShow.Name:      Etl_SqlShow,
		Etl_Status.Name:       Etl_Status,
		Etl_SearchType.Name:   Etl_SearchType,
		Etl_SearchTime.Name:   Etl_SearchTime,
		Etl_SearchFiled.Name:  Etl_SearchFiled,
		Etl_ToDriverName.Name: Etl_ToDriverName,
		Etl_ToType.Name:       Etl_ToType,
		Etl_ChooseType.Name:   Etl_ChooseType,
		Etl_LastModify.Name:   Etl_LastModify,
		Etl_LastUser.Name:     Etl_LastUser,
		Etl_CreateTime.Name:   Etl_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"FromDb", "FromTable", "ToDb", "ToTable", "SqlShow", "Status", "SearchType", "SearchTime", "SearchFiled", "ToDriverName", "ToType", "ChooseType", "LastUser"})
